Skip to main content
Server path: /commercetools-config | Type: Application | PCID required: Yes

Tools

ToolDescription
commercetools_config_create_custom_objectsIf an object with the given container/key exists, the object will be replaced with the new value and the version is incremented. If the request contains a version and an object with the given container/key, then the version must match the version of the existing object. Concurrent updates to the same Custom Object returns a ConcurrentModification error even if the version is not provided. Fields within value that have null values are not saved.
commercetools_config_create_extensionsPOST /extensions
commercetools_config_create_statesPOST /states
commercetools_config_create_storesPOST /stores
commercetools_config_create_subscriptionsA test notification is sent to ensure the correct configuration of the Destination. If the notification cannot be delivered, the Subscription will not be created. The payload of the test notification is of type ResourceCreated for the resourceTypeId subscription.
commercetools_config_create_typesPOST /types
commercetools_config_delete_custom_objects_by_container_and_keyDELETE /custom-objects/{container}/{key}
commercetools_config_delete_extensions_by_idDELETE /extensions/{ID}
commercetools_config_delete_extensions_by_keyDELETE /extensions/key={key}
commercetools_config_delete_states_by_idDELETE /states/{ID}
commercetools_config_delete_states_by_keyDELETE /states/key={key}
commercetools_config_delete_stores_by_idDELETE /stores/{ID}
commercetools_config_delete_stores_by_keyDELETE /stores/key={key}
commercetools_config_delete_subscriptions_by_idDELETE /subscriptions/{ID}
commercetools_config_delete_subscriptions_by_keyDELETE /subscriptions/key={key}
commercetools_config_delete_types_by_idDELETE /types/{ID}
commercetools_config_delete_types_by_keyDELETE /types/key={key}
commercetools_config_get_custom_objects_by_containerGET /custom-objects/{container}
commercetools_config_get_custom_objects_by_container_and_keyGET /custom-objects/{container}/{key}
commercetools_config_get_extensions_by_idGET /extensions/{ID}
commercetools_config_get_extensions_by_keyGET /extensions/key={key}
commercetools_config_get_states_by_idGET /states/{ID}
commercetools_config_get_states_by_keyGET /states/key={key}
commercetools_config_get_stores_by_idGET /stores/{ID}
commercetools_config_get_stores_by_keyGET /stores/key={key}
commercetools_config_get_subscriptions_by_idGET /subscriptions/{ID}
commercetools_config_get_subscriptions_by_keyGET /subscriptions/key={key}
commercetools_config_get_types_by_idGET /types/{ID}
commercetools_config_get_types_by_keyGET /types/key={key}
commercetools_config_list_custom_objectsFor performance reasons, it is highly advisable to query for Custom Objects in a container by using the container field in the where predicate. This endpoint is deprecated and replaced by the Query CustomObjects in Container endpoint.
commercetools_config_list_extensionsGET /extensions
commercetools_config_list_statesGET /states
commercetools_config_list_storesGET /stores
commercetools_config_list_subscriptionsGET /subscriptions
commercetools_config_list_subscriptions_health_by_idThis endpoint can be polled by a monitoring or alerting system that checks the health of your Subscriptions. To ease integration with such systems this endpoint does not require Authorization.
commercetools_config_list_typesGET /types
commercetools_config_update_extensions_by_idPOST /extensions/{ID}
commercetools_config_update_extensions_by_keyPOST /extensions/key={key}
commercetools_config_update_states_by_idPOST /states/{ID}
commercetools_config_update_states_by_keyPOST /states/key={key}
commercetools_config_update_stores_by_idPOST /stores/{ID}
commercetools_config_update_stores_by_keyPOST /stores/key={key}
commercetools_config_update_subscriptions_by_idPOST /subscriptions/{ID}
commercetools_config_update_subscriptions_by_keyPOST /subscriptions/key={key}
commercetools_config_update_types_by_idPOST /types/{ID}
commercetools_config_update_types_by_keyPOST /types/key={key}

commercetools_config_create_custom_objects

If an object with the given container/key exists, the object will be replaced with the new value and the version is incremented. If the request contains a version and an object with the given container/key, then the version must match the version of the existing object. Concurrent updates to the same Custom Object returns a ConcurrentModification error even if the version is not provided. Fields within value that have null values are not saved. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
containerstringYesThe container value
keystringYesThe key value
valueobjectYesThe value value
versionintegerNoThe version value

commercetools_config_create_extensions

POST /extensions Parameters:
ParameterTypeRequiredDefaultDescription
destinationobjectYesThe destination value
keystringNoThe key value
timeoutInMsintegerNoTimeout In Ms
triggersobject[]YesThe triggers value

commercetools_config_create_states

POST /states Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
descriptionobjectNoThe description value
initialbooleanNoThe initial value
keystringYesThe key value
nameobjectNoThe name value
rolesstring[]NoThe roles value
transitionsany[]NoThe transitions value
typestringYesThe type value

commercetools_config_create_stores

POST /stores Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
countriesobject[]NoThe countries value
customobjectNoThe custom value
distributionChannelsany[]NoDistribution Channels
keystringYesThe key value
languagesstring[]NoThe languages value
nameobjectNoThe name value
productSelectionsobject[]NoProduct Selections
supplyChannelsany[]NoSupply Channels

commercetools_config_create_subscriptions

A test notification is sent to ensure the correct configuration of the Destination. If the notification cannot be delivered, the Subscription will not be created. The payload of the test notification is of type ResourceCreated for the resourceTypeId subscription. Parameters:
ParameterTypeRequiredDefaultDescription
changesobject[]NoThe changes value
destinationobjectYesThe destination value
eventsobject[]NoThe events value
formatobjectNoThe format value
keystringNoThe key value
messagesobject[]NoThe messages value

commercetools_config_create_types

POST /types Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
descriptionobjectNoThe description value
fieldDefinitionsobject[]NoField Definitions
keystringYesThe key value
nameobjectYesThe name value
resourceTypeIdsstring[]YesResource Type Ids

commercetools_config_delete_custom_objects_by_container_and_key

DELETE /custom-objects/{container}/{key} Parameters:
ParameterTypeRequiredDefaultDescription
containerstringYesThe container value
keystringYesThe key value
versionintegerNoThe version value
expandstring[]NoRelated resources to expand inline
dataErasurebooleanNoData Erasure

commercetools_config_delete_extensions_by_id

DELETE /extensions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value

commercetools_config_delete_extensions_by_key

DELETE /extensions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value

commercetools_config_delete_states_by_id

DELETE /states/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_delete_states_by_key

DELETE /states/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_delete_stores_by_id

DELETE /stores/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_delete_stores_by_key

DELETE /stores/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_delete_subscriptions_by_id

DELETE /subscriptions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value

commercetools_config_delete_subscriptions_by_key

DELETE /subscriptions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value

commercetools_config_delete_types_by_id

DELETE /types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_delete_types_by_key

DELETE /types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_custom_objects_by_container

GET /custom-objects/{container} Parameters:
ParameterTypeRequiredDefaultDescription
containerstringYesThe container value
sortstring[]NoSort order for results
wherestring[]NoThe where value
expandstring[]NoRelated resources to expand inline
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total

commercetools_config_get_custom_objects_by_container_and_key

GET /custom-objects/{container}/{key} Parameters:
ParameterTypeRequiredDefaultDescription
containerstringYesThe container value
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_extensions_by_id

GET /extensions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value

commercetools_config_get_extensions_by_key

GET /extensions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value

commercetools_config_get_states_by_id

GET /states/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_states_by_key

GET /states/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_stores_by_id

GET /stores/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_stores_by_key

GET /stores/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_subscriptions_by_id

GET /subscriptions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value

commercetools_config_get_subscriptions_by_key

GET /subscriptions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value

commercetools_config_get_types_by_id

GET /types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_config_get_types_by_key

GET /types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_config_list_custom_objects

For performance reasons, it is highly advisable to query for Custom Objects in a container by using the container field in the where predicate. This endpoint is deprecated and replaced by the Query CustomObjects in Container endpoint. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_list_extensions

GET /extensions Parameters:
ParameterTypeRequiredDefaultDescription
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_list_states

GET /states Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_list_stores

GET /stores Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_list_subscriptions

GET /subscriptions Parameters:
ParameterTypeRequiredDefaultDescription
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_list_subscriptions_health_by_id

This endpoint can be polled by a monitoring or alerting system that checks the health of your Subscriptions. To ease integration with such systems this endpoint does not require Authorization. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value

commercetools_config_list_types

GET /types Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_config_update_extensions_by_id

POST /extensions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_extensions_by_key

POST /extensions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_states_by_id

POST /states/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_states_by_key

POST /states/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_stores_by_id

POST /stores/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_stores_by_key

POST /stores/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_subscriptions_by_id

POST /subscriptions/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_subscriptions_by_key

POST /subscriptions/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_types_by_id

POST /types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_config_update_types_by_key

POST /types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value